package com.sunwin.metro.drools;




import com.alibaba.fastjson.JSONObject;
import com.sunwin.metro.bean.RuleBase;


import java.util.List;

/**
 *
 * @author kane
 * @date 2020/01/29
 */
public interface MetroProcessor {
    String LOG_PKG = "metroRules";

    List<JSONObject> execute(String msg);

    List<JSONObject> execute(JSONObject entry);

    boolean loadRules(RuleBase ruleBase);
}
